clang-tools 10.0.0

Namespaces | Functions
ClangdServer.cpp File Reference
`#include "ClangdServer.h"`
`#include "CodeComplete.h"`
`#include "FindSymbols.h"`
`#include "Format.h"`
`#include "FormattedString.h"`
`#include "HeaderSourceSwitch.h"`
`#include "Headers.h"`
`#include "Logger.h"`
`#include "ParsedAST.h"`
`#include "Preamble.h"`
`#include "Protocol.h"`
`#include "SemanticHighlighting.h"`
`#include "SemanticSelection.h"`
`#include "SourceCode.h"`
`#include "TUScheduler.h"`
`#include "Trace.h"`
`#include "XRefs.h"`
`#include "index/CanonicalIncludes.h"`
`#include "index/FileIndex.h"`
`#include "index/Merge.h"`
`#include "refactor/Rename.h"`
`#include "refactor/Tweak.h"`
`#include "clang/Format/Format.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Frontend/CompilerInvocation.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "clang/Tooling/Core/Replacement.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/ScopeExit.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Errc.h"`
`#include "llvm/Support/Error.h"`
`#include "llvm/Support/FileSystem.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <algorithm>`
`#include <future>`
`#include <memory>`
`#include <mutex>`
`#include <type_traits>`
Include dependency graph for ClangdServer.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
static llvm::Expected< Tweak::Selection > | clang::clangd::tweakSelection (const Range &Sel, const InputsAndAST &AST)